Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Check

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.AbstractProcess
              org.basex.core.Process
                  org.basex.core.proc.Check

    public final class Check

extends Process

Evaluates the 'check' command. Checks if the specified XML document is in memory; if negative, the database file is opened; if it doesn't exist, a new database instance is created.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Process
`args`

Constructor Summary
`Check(java.lang.String name)` Constructor.

Method Summary
`static Data` | `check(java.lang.String path)` Static command for getting a database reference.

Methods inherited from class org.basex.core.Process
`args, data, error, execute, execute, info, info, info, name, output, printing, result, toString, updating`

Methods inherited from class org.basex.core.Progress
`checkStop, det, detail, prog, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Check

    public Check(java.lang.String name)

  Constructor.

  Parameters:
    `name` - name of database

Method Detail

### check

    public static Data check(java.lang.String path)
                      throws java.io.IOException

  Static command for getting a database reference. No warnings are thrown; instead, an empty reference is returned.

  Parameters:
    `path` - file path
  Returns:
    data instance
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD